# IAX2Remote Class Reference

`#include <remote.h>`

## Public Types

| callNumberUndefined = 0xffff
enum | { callNumberUndefined = 0xffff }

## Public Member Functions

| IAX2Remote ()
virtual | ~IAX2Remote ()
PINDEX | DestCallNumber ()
PINDEX | SourceCallNumber ()
virtual void | PrintOn (ostream &strm) const
PIPSocket::Address | RemoteAddress ()
PString | BuildConnectionToken ()
PString | BuildOurConnectionToken ()
PINDEX | RemotePort ()
void | Assign (IAX2Remote &)
void | SetRemoteAddress (PIPSocket::Address &newVal)
void | SetRemoteAddress (int newVal)
void | SetRemotePort (PINDEX newVal)
void | SetSourceCallNumber (PINDEX newVal)
void | SetDestCallNumber (PINDEX newVal)
PBoolean | operator== (IAX2Remote &other)
PBoolean | operator *= (IAX2Remote &other)
PBoolean | operator!= (IAX2Remote &other)

## Protected Attributes

PINDEX | sourceCallNumber
PINDEX | destCallNumber
PIPSocket::Address | remoteAddress
PINDEX | remotePort

## Detailed Description

A simple class which contains the different source and dest call numbers, and the remote address + remote port

## Member Enumeration Documentation

anonymous enum

Define which is used to indicate the call number is undefined

Enumerator:

  callNumberUndefined |

## Constructor & Destructor Documentation

IAX2Remote::IAX2Remote | ( |  | ) |

Constructor

virtual IAX2Remote::~IAX2Remote | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void IAX2Remote::Assign | ( | IAX2Remote & |  | ) |

Copy data from supplied Remote structure to this class

PString IAX2Remote::BuildConnectionToken | ( |  | ) |

the connection token can be derived from the information in this class. Consequently, get this class to create the connection token

PString IAX2Remote::BuildOurConnectionToken | ( |  | ) |

Similar to BuildConnectionTokenId, but build it with our source call number, not remote call number

PINDEX IAX2Remote::DestCallNumber | ( |  | ) | `[inline]`

Call number as used at the destination of this data frame. If we are receiving this packet, it refers to our call number.

PBoolean IAX2Remote::operator *= | ( | IAX2Remote & | other | ) |

Return true if remote port & address & destCallNumber==sourceCallNumber match up. This is used when finding a Connection to process an incoming ethernet frame

PBoolean IAX2Remote::operator!= | ( | IAX2Remote & | other | ) |

Returns true if these are are different

PBoolean IAX2Remote::operator== | ( | IAX2Remote & | other | ) |

Return true if remote port & address & destCallNumber & source call number match up. This is used when finding a Connection that generated an ethernet frame which is to be transmitted

virtual void IAX2Remote::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

Pretty print this remote structure (address & port) to the designated stream

PIPSocket::Address IAX2Remote::RemoteAddress | ( |  | ) | `[inline]`

Return the current value of the ip address used by the other end of this call

PINDEX IAX2Remote::RemotePort | ( |  | ) | `[inline]`

return the current value of the port at the other end of this call

void IAX2Remote::SetDestCallNumber | ( | PINDEX | newVal | ) |

Set the Dest Call Number, as used by this class

void IAX2Remote::SetRemoteAddress | ( | int | newVal | ) | `[inline]`

Set the remote address as used by this class

void IAX2Remote::SetRemoteAddress | ( | PIPSocket::Address & | newVal | ) | `[inline]`

Set the remote address as used by this class

void IAX2Remote::SetRemotePort | ( | PINDEX | newVal | ) | `[inline]`

Set the remote port, as used by this class

void IAX2Remote::SetSourceCallNumber | ( | PINDEX | newVal | ) | `[inline]`

Set the Source Call Number, as used by this class

PINDEX IAX2Remote::SourceCallNumber | ( |  | ) | `[inline]`

Call number as used at the source of this data frame. If we are receiving this packet, it refers to the call number at the remote host.

## Field Documentation

PINDEX IAX2Remote::destCallNumber `[protected]`

Call number at the remote computer.

PIPSocket::Address IAX2Remote::remoteAddress `[protected]`

Ip address used by the remote endpoint

PINDEX IAX2Remote::remotePort `[protected]`

Port number used by the remote endpoint.

PINDEX IAX2Remote::sourceCallNumber `[protected]`

Call number at the local computer.

The documentation for this class was generated from the following file:

- remote.h